emms (6.00-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:28:43 +0100

emms (6.00-1) unstable; urgency=medium

  * New upstream version
    Closes: #1096579
  * Maintain in Debian Emacsen team
    Closes: #1102389
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)
  * Do not Build-Depends: dpkg-dev
  * Switch from cdbs to dh
    Closes: #1098829
  * Build-Depends: s/libtagc0-dev/libtag-c-dev/
    Closes: #1093294
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Secure URI in watch file
  * Use dh-elpa
  * Recommends: s/mpg321/mpg123/
    Closes: #1067877

 -- Andreas Tille <tille@debian.org>  Fri, 11 Apr 2025 07:21:28 +0200

emms (5.1-1) unstable; urgency=medium

  * New upstream release. Closes: #917968.
    + d/copyright: All the files have now FSF as the copyright holders.
  * d/emacsen-install: >=5.0 uses seq.el available only from emacs >=
    25 so ignore older flavors. Closes: #905208.
  * Update package after emacs package unversioning (from 1:25.2+1-7). This
    means no emacsXY flavors anymore, only emacs (and xemacs21). Keep emacs25
    for backports.
    + d/control:
      - Depends on emacsen-common only and move emacs* to Recommends.
      - Add Enhances field against emacs* packages.
      - Add Build-Depends on emacs | emacs-nox.
    + d/emacsen-{install,remove}: emacs flavor was ignored until now.
  * d/copyright:
    + Update debian directory copyright years.
    + Update Source URL.
  * d/control:
    + Bump Standards-Version to 4.3.0. No change needed.
  * d/emacsen-install: Simplify and keep byte-compile log in ELDIR.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 22 Jan 2019 19:33:40 +0900

emms (5.0-1) unstable; urgency=medium

  * New upstream release.
    + d/copyright: Update copyright years and holders.
  * d/control:
    + Bump Standards-Version to 4.1.4.
      - Remove Git get-orig-source rule (using tarballs these days anyway).

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 02 May 2018 09:39:13 +0900

emms (4.4-1) unstable; urgency=low

  * New upstream release.
  * d/control:
    + emacs24 has been removed (#871627) so use emacs25 in Build-Depends.
    + Bump Standards-Version to 4.1.2.
      - Use HTTPS URL in Homepage field.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 13 Dec 2017 11:00:50 +0900

emms (4.2-1) unstable; urgency=low

  * New upstream release.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 15 Nov 2016 12:35:20 +0900

emms (4.1-1) unstable; urgency=low

  * New upstream release.
    + Drop debian/patches/fix_sigsegv.patch applied upstream.
    + Copy of tq.el from Emacs has been removed. Closes: #813965.
  * d/control:
    + Bump Standards-Version to 3.9.8. No changes needed.
    + Drop Depends on w3m-el* as it was only needed to byte-compile lastfm
      code which has been removed upstream. Closes: #780648.
    + Bump debhelper Depends to recommended version 9.
  * d/copyright: Update copyright years.
  * d/patches:
    + lisp-jack.el-In-recent-kernels-proc-asound-cards-can.patch: In
      recent kernels, /proc/asound/cards can have lines beginning with a
      space. Thanks to Kevin Ryde. Closes: #716648.
  * d/watch: Add GPG signature verification of upstream tarball.
    + debian/upstream/signing-key.pgp: Downloaded from
      https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=emms
      - Add this file to debian/source/include-binaries (dpkg-source error).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 10 Jun 2016 09:54:09 +0900

emms (4.0-2) unstable; urgency=low

  * Remove support for xemacs21 as it is not supported anymore since
    `declare-function' is not defined (at least in 21.4.22).

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 30 Jul 2014 12:33:52 +0900

emms (4.0-1) unstable; urgency=low

  * New upstream release.
    + d/docs: FAQ has been removed upstream.
    + d/watch: Update URL.
  * d/control: Bump Standards-Version to 3.9.5. No change needed.
  * Emacs23 is going to be removed from the archive. Closes: #754008.
    + d/control:
      - Build-Depends on emacs24-nox rather than emacs23.
      - Drop Depends on emacs23 and Depends instead of emacs | emacsen.
  * Follow Debian Emacs Policy:
    + d/control: Bump emacsen-common Depends to >= 2.0.8.
    + d/emacsen-compat: Set emacs-common compatibility level to 0.
  * d/copyright: Update copyright years.
  * d/patches/changelog.patch: Drop as ChangeLog is now provided.
  * d/patches/fix_sigsegv.patch: Add patch to fix SIGSEGV. Closes: #715864.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 29 Jul 2014 19:14:59 +0900

emms (3.0+20130821+1.git2fba618-1) unstable; urgency=low

  * New Git upstream snapshot:
    + debian/patches/makefile-add-missing-cppflags-to-compiler.patch,
      debian/patches/remove-emms-playlist-sort-by-score-from-documentation.patch,
      debian/patches/rename-too-generic-name-generate-autoloads.patch,
      debian/patches/support-both-xemacs-and-emacs-to-highlight-playing-lyrics.patch,
      debian/patches/fix-byte-compilation-with-emacs24.patch:
      - Dropped as they have been applied upstream.
    + FTBFS with texinfo5 has been fixed. Closes: #712324.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Sep 2013 16:11:19 +0900

emms (3.0+20110425+1.git298e022-5) experimental; urgency=low

  * debian/control:
    + Add emacs24 to Depends as EMMS should be compatible. Closes: #703004.
    + Bump Standards-Version to 3.9.4. No change needed.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 27 Mar 2013 14:38:45 +0900

emms (3.0+20110425+1.git298e022-4) unstable; urgency=low

  * debian/control:
    + Require emacsen-common >= 2.0.5 because of #693472.
  * debian/emacsen-install:
    + As emacs22 is not supported since squeeze, it must be ignored.
      Closes: #699743.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 11 Mar 2013 18:18:45 +0900

emms (3.0+20110425+1.git298e022-3) unstable; urgency=low

  * debian/control:
    + Allow w3m-el-snapshot in addition to w3m-el in Depends. Closes: #673932.
  * debian/emacsen-install:
    + Log byte-compilation output in a log rather than on the console.
    + Avoid byte-compiling if it has already been done before.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 07 Jun 2012 10:38:32 +0900

emms (3.0+20110425+1.git298e022-2) unstable; urgency=low

  * debian/emacsen-startup:
    + Call `debian-pkg-add-load-path-item' rather than directly modifying
      `load-path' as par Emacs policy. Closes: #671562.
  * debian/copyright:
    + Update copyright years.
    + Update Format URL as DEP5 has been released.
    + Fix license name from GPL-3 to GPL-3+.
  * debian/control: bump Standards-Version to 3.9.3. No changes needed.
  * debian/patches/remove-emms-playlist-sort-by-score-from-documentation.patch:
    + Remove emms-playlist-sort-by-score from documentation.
  * debian/patches/rename-too-generic-name-generate-autoloads.patch:
    + Rename too generic name generate-autoloads to emms-generate-autoloads.
      Closes: #672188.
  * debian/patches/support-both-xemacs-and-emacs-to-highlight-playing-lyrics.patch:
    + Fix XEmacs installation. Closes: #648980.
  * debian/patches/changelog.patch:
    + Add upstream changelog.
  * debian/makefile-add-missing-cppflags-to-compiler.patch:
    + Add missing CPPFLAGS to C compiler.
  * Add hardening build flags for emms-print-metadata.
    + debian/control: add Build-Depends on dpkg-dev >= 1.16.1~.
    + debian/rules: enable all hardening flags.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 24 May 2012 10:11:31 +0900

emms (3.0+20110425+1.git298e022-1) unstable; urgency=low

  * Git upstream snapshot.
    + debian/rules:
      - Add get-orig-source to generate tarball from upstream Git repository.
  * Add fix-byte-compilation-with-emacs24.patch. Closes: #625979.
  * debian/changelog:
    + Switch to DEP5 format.

 -- Arnaud Fontaine <arnau@debian.org>  Sat, 05 Nov 2011 15:43:51 +0900

emms (3.0+20110418+1.4a15eea-1) unstable; urgency=low

  * Git upstream snapshot.
    + Few changes compared to the previous upload to experimental, thus
      upload to unstable.
  * debian/control:
    + Bump Standards-Version to 3.9.2. No changes needed.
    + Add w3m-el to Depends as it is required during installation for
      byte-compiling emms-lastfm-client.el.
    + Recommends either vorbis-tools, mpg321, mplayer, vlc, mpd or xine-ui
      as they are all supported players.
    + Remove leading article in the description reported by lintian.
  * debian/copyright:
    + Update copyright years.
    + Update upstream authors list.
  * debian/rules:
    + Add -Wl,--as-needed to LDFLAGS to avoid linking uselessly on libraries
      whose symbols are not used.
  * debian/watch:
    + Mangle Debian version to remove Git versioning.
  * Drop debian/patches as fix_makefile_path_typo.diff has been applied
    upstream.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 18 Apr 2011 17:05:31 +0900

emms (3.0+20100726+1.12444ae-1) experimental; urgency=low

  * Git upstream snapshot. Closes: #581005.
    + Drop debian patches as they have all been applied in Git.
    + Create the upstream source by simply running `make dist' in the Git
      source tree.
  * Switch to dpkg-source 3.0 (quilt) format.
    + Drop now useless debian/README.source.
    + Drop include of patchsys-quilt.mk in debian/rules.
    + Drop Build-Depends on quilt.
  * debian/control:
    + Bump Standards-Version to 3.9.1. No changes needed.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 29 Jul 2010 19:40:31 +0100

emms (3.0-6) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.4.
      - Add debian/README.source.
    + Remove emacs22 from Build-Depends as it will be removed for the
      upcoming Squeeze release. Closes: #567696.
  * debian/copyright:
    + Update copyright years.
  * Insert the contents of a file and load playlists in a safe way. Thanks
    to Michael Olson and Yoni Rabkin. Closes: #470251.

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 31 Jan 2010 12:15:20 +0000

emms (3.0-5) unstable; urgency=low

  * debian/control:
    + Add emacs23 to Depends as it has now been released. Closes: #539840.
    + Update Standards-Version to 3.8.2. No changes needed.
    + Add ${misc:Depends} to Depends.
    + Bump compat version to 5 as 4 is now deprecated and update
      debian/compat accordingly.
  * debian/copyright:
    + Update copyright years.
    + Refer to /GPL-2 instead of /GPL for package licensing as suggested
      by lintian.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 04 Aug 2009 14:59:37 +0200

emms (3.0-4) unstable; urgency=low

  * debian/control:
    + Add emacs-snapshot to Depends as some people are using private
      emacs-snapshot package. Closes: #499595.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 24 Sep 2008 18:58:20 +0100

emms (3.0-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0. No changes needed.
    + Don't install files for emacs21 as 'url' package is not provided by
      emacs21. Closes: #498115.
  * debian/doc-base:
    + Update section to Sounds.
  * debian/patches/fix-alsaplayer.patch:
    + Fix alsaplayer backend which didn't work at all. Thanks to Igor B.
      Poretsky. Closes: #466949.
  * Use quilt to manage patches and add it to Build-Depends.
  * debian/copyright:
    + Update copyright years.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 16 Sep 2008 21:47:27 +0100

emms (3.0-2) unstable; urgency=low

  * New email address.
  * debian/control*:
    + Update Standards-Version to 3.7.3. No changes needed.
    + Move Homepage field to source package (dpkg supports it now).

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 07 Dec 2007 20:26:40 +0000

emms (3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control*:
    + Build-Depends on emacs22 instead of emacs21. Closes: #434917.
    + Drop deprecated depends on emacs21.
  * debian/copyright:
    + Update copyright year.
    + Update license because the upstream author has switched to
      GPLv3.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 08 Aug 2007 17:52:55 +0200

emms (2.1+clean-1) unstable; urgency=low

  * New maintainer. Closes: #411422.
  * Remove debian/ directory from upstream source.
  * Switch to cdbs.
  * Add debian/watch.
  * Add debian/manpages.
  * Add debian/info.
  * Add debian/doc-base.
  * debian/docs:
    + Add HTML documentation.
    + Add FAQ.
  * debian/control*:
    + Add Homepage field.
    + Remove obsolete conflict against emacs20.
  * debian/copyright:
    + Format according to the dh_make template.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 08 May 2007 17:00:49 +0200

emms (2.1-3) unstable; urgency=low

  * QA upload.
  * debian/rules: Provide binary-indep as a no-op.  Closes: #395683.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 15 Apr 2007 12:48:49 +0200

emms (2.1-2) unstable; urgency=low

  * Orphaned.

 -- Jorgen Schaefer <forcer@debian.org>  Mon, 19 Feb 2007 00:08:01 +0100

emms (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Jorgen Schaefer <forcer@debian.org>  Sun,  3 Sep 2006 13:54:07 +0200

emms (2.0-2) unstable; urgency=low

  * Install info manual as well (Closes: #372953)

 -- Jorgen Schaefer <forcer@debian.org>  Mon, 12 Jun 2006 21:14:41 +0200

emms (2.0-1) unstable; urgency=low

  * New upstream release.
  * Depend alternatively on emacsen (Closes: #321493) and (Closes: #321493)
  * Don't be a “native” package anymore, seems to make some people happier (Closes: #343525)
  * Fix autoloads (Closes: #357398)

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 29 Apr 2006 19:42:39 +0200

emms (1.3) unstable; urgency=low

  * Don't pass docstring to defvaralias due to XEmacs (Closes: #316583)

 -- Jorgen Schaefer <forcer@debian.org>  Sat,  2 Jul 2005 05:34:57 +0200

emms (1.2) unstable; urgency=low

  * Use legacy function in emacs21 for `read-directory-name (Closes: #316486)
  * Implements url parsing without url library (Closes: #314299)

 -- Jorgen Schaefer <forcer@debian.org>  Fri,  1 Jul 2005 15:18:54 +0200

emms (1.1-1) unstable; urgency=low

  * New CVS checkout.
  * Conflicts with emacs20 (Closes: #306489).

 -- Jorgen Schaefer <forcer@debian.org>  Sun, 29 May 2005 00:25:23 +0200

emms (1.0-4) unstable; urgency=low

  * New CVS checkout.

 -- Jorgen Schaefer <forcer@debian.org>  Sun, 11 Jul 2004 03:48:28 +0200

emms (1.0-3) unstable; urgency=low

  * Standards-Version: 3.6.1 (no changes)
  * Removed ChangeLog from debian/docs.
  * XEmacs should compile now.
  * Recommends: vorbis-tools, not ogg123. hmph.

 -- Jorgen Schaefer <forcer@debian.org>  Sat,  3 Apr 2004 13:16:25 +0200

emms (1.0-2) unstable; urgency=low

  * Architecture: all
  * Recommends: mpg321, ogg123 (Closes: #239525)
  * Suggests: mp3info
  * Build-depends: texinfo (Closes: #236953)
  * emms-source-file.el: Don't throw an error when compiling if locate.el
    is not available. (Closes: #237183)

 -- Jorgen Schaefer <forcer@debian.org>  Tue,  9 Mar 2004 02:01:21 +0100

emms (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 21 Feb 2004 05:23:17 +0100
